CREATE TABLE doo_transaction_events (
    TRANSACTION_EVENT_ID      NUMBER(18, 0),
    AGGREGATED_EVENT_ID       NUMBER(18, 0)    NOT NULL,
    EVENT_POINT_CODE          VARCHAR2(120)    NOT NULL,
    PROCESSING_STATUS_CODE    VARCHAR2(120)    NOT NULL,
    TRANSACTION_EVENT_ID      NUMBER(18, 0),
    AGGREGATED_EVENT_ID       NUMBER(18, 0)    NOT NULL,
    EVENT_POINT_CODE          VARCHAR2(120)    NOT NULL,
    PROCESSING_STATUS_CODE    VARCHAR2(120)    NOT NULL,
    CONSTRAINT pk_doo_transaction_events PRIMARY KEY (TRANSACTION_EVENT_ID, TRANSACTION_EVENT_ID)
);
